%global vagrant_plugin_name vagrant-openstack-provider

Name:		%{vagrant_plugin_name}
Version:	0.12.0
Release:	1%{?dist}
Summary:	Vagrant plugin for OpenStack provider

License:	MIT
URL:		https://github.com/ggiamarchi/vagrant-openstack-provider
Source0:	https://rubygems.org/gems/%{vagrant_plugin_name}-%{version}.gem

# Upstream pins exact versions of dependencies that are not necessary, nor
# are they conducive to packaging as system versions will update to keep
# up with latest releases. This patch loosens the dependencies to minimal
# versions instead of exact pins.
Patch0:		colorize.diff

BuildRequires:	ruby(release)
BuildRequires:	rubygems-devel
BuildRequires:	ruby
BuildRequires:	vagrant >= 1.9.1
Requires:	vagrant >= 1.9.1
Requires:	rubygem(colorize)
Requires:	rubygem(sshkey)
Requires:	rubygem(terminal-table)
Requires:	rubygem(public_suffix)

BuildArch:	noarch

Provides: vagrant(%{vagrant_plugin_name}) = %{version}

%description
A Vagrant plugin that adds a provider for provisioning
guest systems in an OpenStack cloud


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.


%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{vagrant_plugin_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{vagrant_plugin_name}.gemspec

%patch0 -p1
sed -i -e '1d' stackrc

%build
gem build %{vagrant_plugin_name}.gemspec
%vagrant_plugin_install

%install
mkdir -p %{buildroot}%{vagrant_plugin_dir}
cp -a .%{vagrant_plugin_dir}/* \
        %{buildroot}%{vagrant_plugin_dir}/


%files
%doc CHANGELOG.md
%dir %{vagrant_plugin_instdir}
%doc %{vagrant_plugin_instdir}/example_box
%{vagrant_plugin_instdir}/Vagrantfile
%{vagrant_plugin_instdir}/dummy.box
%{vagrant_plugin_libdir}
%{vagrant_plugin_instdir}/locales
%{vagrant_plugin_spec}
%exclude %{vagrant_plugin_cache}
%exclude %{vagrant_plugin_instdir}/.gitignore
%exclude %{vagrant_plugin_instdir}/RELEASE.md
%exclude %{vagrant_plugin_instdir}/functional_tests
%exclude %{vagrant_plugin_instdir}/.rubocop.yml

%files doc
%doc %{vagrant_plugin_docdir}
%doc %{vagrant_plugin_instdir}/CHANGELOG.md
%{vagrant_plugin_instdir}/spec
%{vagrant_plugin_instdir}/%{name}.gemspec
%{vagrant_plugin_instdir}/stackrc
%{vagrant_plugin_instdir}/Gemfile
%{vagrant_plugin_instdir}/Rakefile


%changelog
* Mon Feb 26 2018 Greg Hellings <greg.hellings@gmail.com> - 0.12.0-1
- New upstream release 0.12.0 BZ#1549356
- Removed now excluded LICENSE file
- Updated patch
- Added dependency on rubygem-public_suffix

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Greg Hellings <greg.hellings@gmail.com> - 0.11.0-2
- Changed designation of LICENSE file to actually a license
- Removed unneeded lines that aren't used in Fedora
- Added description of patch

* Mon Jan 15 2018 Greg Hellings <greg.hellings@gmail.com> - 0.11.0-1
- New package
